## midicsv 1.1%2Bdfsg.1

=== debian/changelog ===
midicsv (1.1+dfsg.1-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:34:51 +0000

midicsv (1.1+dfsg.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #797021)

 -- Kamal Mostafa <kamal@whence.com>  Wed, 26 Aug 2015 15:05:48 -0700

## midicsv 1.1+dfsg.1

=== Makefile ===

CC = gcc
CFLAGS = -g -Wall

INSTALL_DEST = /usr/local

#	You shouldn't need to change anything after this line

VERSION = 1.1
PROGRAMS = midicsv csvmidi
MANPAGES = $(PROGRAMS:%=%.1) midicsv.5
DOC = README log.txt
BUILD = Makefile
SOURCE = csv.c csvmidi.c midicsv.c midio.c getopt.c getopt.h
HEADERS = csv.h midifile.h midio.h types.h version.h
EXAMPLES = test.mid bad.csv ce3k.csv acomp.pl chorus.pl \
	count_events.pl drummer.pl exchannel.pl general_midi.pl \
	transpose.pl torture.pl
WIN32EXE = Midicsv.exe Csvmidi.exe
WIN32 = $(WIN32EXE) Midicsv.sln Midicsv.vcproj Csvmidi.vcproj W32test.bat
DISTRIBUTION = $(DOC) $(BUILD) $(SOURCE) $(MANPAGES) $(HEADERS) $(EXAMPLES) $(WIN32)

all:	$(PROGRAMS)

MIDICSV_OBJ = midicsv.o midio.o getopt.o

midicsv:    $(MIDICSV_OBJ)
	$(CC) $(CFLAGS) -o midicsv midicsv.o midio.o getopt.o
	
Midicsv.exe: $(MIDICSV_OBJ:%.o=%.c)
	@echo 'Yar!  Midicsv.exe needs to be rebuilt on WIN32!'
	@exit 1

CSVMIDI_OBJ = csvmidi.o midio.o csv.o getopt.o

csvmidi:    $(CSVMIDI_OBJ)
	$(CC) $(CFLAGS) -o csvmidi csvmidi.o midio.o csv.o getopt.o
	
Csvmidi.exe: $(CSVMIDI_OBJ:%.o=%.c)
	@echo 'Yar!  Csvmidi.exe needs to be rebuilt on WIN32!'
	@exit 1

check:	all
	@./midicsv test.mid /tmp/test.csv
	@./csvmidi /tmp/test.csv /tmp/w.mid
	@./midicsv /tmp/w.mid /tmp/w1.csv
	@-cmp -s test.mid /tmp/w.mid ; if test $$? -ne 0  ; then \
	    echo '** midicsv/csvmidi: MIDI file comparison failed. **' ; else \
	diff -q /tmp/test.csv /tmp/w1.csv ; if test $$? -ne 0  ; then \
	    echo '** midicsv/csvmidi: CSV file comparison failed. **' ; else \
	    echo 'All tests passed.' ; fi ; fi
	@rm -f /tmp/test.csv /tmp/w.mid /tmp/w1.csv

pipetest: all
	./midicsv test.mid | tee /tmp/test.csv | ./csvmidi | ./midicsv - /tmp/w1.csv
	diff /tmp/test.csv /tmp/w1.csv
	rm /tmp/test.csv /tmp/w1.csv
	
torture: all
	perl torture.pl | ./csvmidi | tee /tmp/w.mid | ./midicsv | ./csvmidi >/tmp/w1.mid
	@cmp /tmp/w.mid /tmp/w1.mid ; if test $$? -ne 0  ; then \
	    echo '** midicsv/csvmidi: Torture test CSV file comparison failed. **' ; else \
	    echo 'Torture test passed.' ; fi
	@rm /tmp/w.mid /tmp/w1.mid
	
install:	all
	install -d -m 755 $(INSTALL_DEST)/bin
	install -m 755 $(PROGRAMS) $(INSTALL_DEST)/bin
	install -d -m 755 $(INSTALL_DEST)/man/man1
	install -m 644 midicsv.1 csvmidi.1 $(INSTALL_DEST)/man/man1
	install -d -m 755 $(INSTALL_DEST)/man/man5
	install -m 644 midicsv.5 $(INSTALL_DEST)/man/man5
	
uninstall:
	rm -f $(INSTALL_DEST)/bin/csvmidi $(INSTALL_DEST)/bin/midicsv
	rm -f $(INSTALL_DEST)/man/man1/csvmidi.1 $(INSTALL_DEST)/man/man1/midicsv.1
	rm -f $(INSTALL_DEST)/man/man5/midicsv.5
	
dist:	$(WIN32EXE)
	rm -f midicsv*.tar midicsv*.tar.gz
	tar cfv midicsv.tar $(DISTRIBUTION)
	mkdir midicsv-$(VERSION)
	( cd midicsv-$(VERSION) ; tar xfv ../midicsv.tar )
	rm -f midicsv.tar
	tar cfv midicsv-$(VERSION).tar midicsv-$(VERSION)
	gzip midicsv-$(VERSION).tar
	rm -rf midicsv-$(VERSION)
	rm -f midicsv-$(VERSION).zip
	zip midicsv-$(VERSION).zip $(WIN32EXE)

#	Zipped archive for building WIN32 version	
winarch:
	rm -f midicsv.zip
	zip midicsv.zip $(DISTRIBUTION)
	
#	Publish distribution on Web page (Fourmilab specific)
WEBDIR = $(HOME)/ftp/webtools/midicsv

publish: dist
	cp -p midicsv-$(VERSION).tar.gz midicsv-$(VERSION).zip $(WEBDIR)

clean:
	rm -f $(PROGRAMS) *.o *.bak core core.* *.out midicsv.zip

=== debian/changelog ===
midicsv (1.1+dfsg.1-3) unstable; urgency=medium

  * Add ID to Uploaders (requirement for ITS #1107815)
  * d/watch: version=5

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 13:45:23 +0100

midicsv (1.1+dfsg.1-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team
    Closes: #1107815
  * Add proper parameters to match the system declaration of index()
    Closes: #1097395
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * d/watch
     - file standard 4
     - Secure URI
  * d/copyright
     - Include full license of cc-by-sa in d/copyright
     - Fix regexp
     - Add Files-Excluded

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jun 2025 05:45:15 +0200

=== debian/control ===
Source: midicsv
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/midicsv
Vcs-Git: https://salsa.debian.org/multimedia-team/midicsv.git
Homepage: https://www.fourmilab.ch/webtools/midicsv/

Package: midicsv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: perl
Description: translate MIDI file to CSV
 Midicsv reads a standard MIDI file and decodes it into a CSV
 (Comma-Separated Value) file which preserves all the information in the
 MIDI file.  The ASCII CSV file may be loaded into a spreadsheet or database
 application, or processed by a program to transform the MIDI data (for
 example, to key transpose a composition or extract a track from a
 multi-track sequence).  A CSV file in the format created by midicsv may be
 converted back into a standard MIDI file with the csvmidi program.

=== debian/watch ===
Version: 5

Source: https://www.fourmilab.ch/webtools/@PACKAGE@
Matching-Pattern: @PACKAGE@-(.*)\.tar\.gz
Dversion-Mangle: auto
